Loading...
Searching...
No Matches
Halide::Internal::PrintSpan< T > Struct Template Reference

Allow easily printing the contents of containers, or std::vector-like containers, in debug output. More...

`#include <Debug.h>`

## Public Member Functions

| PrintSpan (const T &span)

## Public Attributes

const T & | span

## Detailed Description

template<typename T>
struct Halide::Internal::PrintSpan< T >

Allow easily printing the contents of containers, or std::vector-like containers, in debug output.

Used like so: std::vector<Type> arg_types; debug(4) << "arg_types: " << PrintSpan(arg_types) << "\n"; Which results in output like "arg_types: { uint8x8, uint8x8 }" on one line.

Definition at line 63 of file Debug.h.

## Constructor & Destructor Documentation

## PrintSpan()

template<typename T>

Halide::Internal::PrintSpan< T >::PrintSpan | ( | const T & | span | ) |

inline

Definition at line 65 of file Debug.h.

References span.

## Member Data Documentation

## span

template<typename T>

const T& Halide::Internal::PrintSpan< T >::span

Definition at line 64 of file Debug.h.

Referenced by Halide::Internal::operator<<(), and PrintSpan().

The documentation for this struct was generated from the following file:

- src/Debug.h